package mobile;

import oracle.adfmf.framework.api.AdfmfJavaUtilities;

public class ForecastWorker implements Runnable {
    CityInformation ci = null;
    String zip = "";

    public ForecastWorker() {
        super();
    }

    public ForecastWorker(CityInformation ci, String zip) {
        this.ci = ci;
        this.zip = zip;
    }

    public void run() {
        ci.retrieveForecastAsync(zip);
        AdfmfJavaUtilities.flushDataChangeEvent();
    }
}
